Bug 859442 - System Panel - System Group dropdown menu does not contain system groups
System Panel - System Group dropdown menu does not contain system groups
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 10:44 EDT by james labocki
Modified: 2014-09-18 11:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An incorrect query displayed for listing system groups. As a result the drop-down menu did not contain system groups.This bug fix corrects the query and now CloudForms System Engine displays the system groups correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:56:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot1 (75.78 KB, image/png)
2012-09-21 10:44 EDT, james labocki
no flags Details
screenshot2 (74.30 KB, image/png)
2012-09-21 10:45 EDT, james labocki
no flags Details

  None (edit)
Description james labocki 2012-09-21 10:44:33 EDT
Description of problem:
The system panel - system group dropdown menu does not contain system groups.

nav URL: https://fqdn/katello/systems#panel=system_1&panelpage=subscriptions
screenshot: screenshot1.png

Even if the system groups do exist.

nav URL: https://fqdn/katello/system_groups
screenshot: screenshot2.png

Expected results:
The dropdown menu should contain the system groups that exist.
Comment 1 james labocki 2012-09-21 10:44:51 EDT
Created attachment 615472 [details]
screenshot1
Comment 3 james labocki 2012-09-21 10:45:11 EDT
Created attachment 615473 [details]
screenshot2
Comment 4 Brad Buckingham 2012-10-08 11:05:43 EDT
katello github pull request: https://github.com/Katello/katello/pull/810
Comment 7 Og Maciel 2012-10-09 11:30:15 EDT
Verified:

* candlepin-0.7.8.1-1.el6cf.noarch
* candlepin-selinux-0.7.8.1-1.el6cf.noarch
* candlepin-tomcat6-0.7.8.1-1.el6cf.noarch
* katello-1.1.12-14.el6cf.noarch
* katello-all-1.1.12-14.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-7.el6cf.noarch
* katello-cli-common-1.1.8-7.el6cf.noarch
* katello-common-1.1.12-14.el6cf.noarch
* katello-configure-1.1.9-7.el6cf.noarch
* katello-glue-candlepin-1.1.12-14.el6cf.noarch
* katello-glue-pulp-1.1.12-14.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 10 errata-xmlrpc 2012-12-04 14:56:17 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 11 Mike McCune 2013-08-16 13:59:46 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.